Subject: [bug#45327] [PATCH v2] git: Periodically delete least-recently-used cached checkouts.

From: zimoun <[email-masked]>
Date: Thu, 7 Jan 2021 13:40:26 +0100

Hi Ludo,

On Thu, 7 Jan 2021 at 11:10, Ludovic Courtès <[email-masked]> wrote:

>   • Increase the default expiration time to three months;

That's long enough for my vacations. ;-)

> As zimoun proposed, I agree that we should make the expiration time
> configurable.  I started doing that but that requires ‘string->duration’,
> which is currently in (guix ui), and this code is supposed to be
> “UI-free”.  So I’d first like to move this and similar tools to a new
> (guix units) module…

You mean 2 another patches are coming: one moving to the new (guix
units) and then another one honoring GUIX_GIT_CACHE_EXPIRATION, right?

Otherwise LGTM. :-)

Cheers,
simon